Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Effect Class Reference

STK abstract effects parent class. More...

`#include <Effect.h>`

Inheritance diagram for stk::Effect:

List of all members.

## Public Member Functions
| Effect (void)
| Class constructor.
unsigned int | channelsOut (void) const
| Return the number of output channels for the class.
const StkFrames & | lastFrame (void) const
| Return an StkFrames reference to the last output sample frame.
virtual void | clear ()=0
| Reset and clear all internal state.
void | setEffectMix (StkFloat mix)
| Set the mixture of input and "effected" levels in the output (0.0 = input only, 1.0 = effect only).

## Detailed Description

STK abstract effects parent class.

This class provides common functionality for STK effects subclasses. It is general enough to support both monophonic and polyphonic input/output classes.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Effect.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.